Method: outboundEndpoints.get

Fetches the representation of an existing Outbound Endpoint.

HTTP request

GET https://dns.googleapis.com/dns/v1/{name=projects/*/locations/*/outboundEndpoints/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the OutboundEndpoint to retrieve. Format: projects/{project}/locations/{location}/outboundEndpoints/{outboundEndpoint}

Query parameters

Parameters
clientOperationId

string

For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of OutboundEndpoint.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-platform.read-only
  • https://www.googleapis.com/auth/ndev.clouddns.readonly
  • https://www.googleapis.com/auth/ndev.clouddns.readwrite

For more information, see the Authentication Overview.